[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.EndUpdate

Finishes an active update to the grid control.

## Declaration

Source position: grids.pas line 1352

`public procedure TCustomGrid.EndUpdate(`
`aRefresh: Boolean = True`
`);`

## Arguments

`aRefresh` |  | True causes the grid control to be redrawn using Invalidate.

## Description

EndUpdate is a method used to complete an update started by calling the BeginUpdate method.

EndUpdate decrements the internal update counter used in the control. When the counter reaches 0, there are no other updates active for the control. If ARefresh is set to True, the VisualChange method is called to update the cached sizes for the control and Invalidate the control display area.

BeginUpdate and EndUpdate are used to implement methods like:

- Assign
- AssignTo
- Sort
- ScrollToCell
- DoAutoAdjustLayout
- Clean
- LoadFromCSVStream

## See also

TCustomGrid.BeginUpdate |  | Begins an update to the grid control.
TCustomGrid.VisualChange |  | Updates the grid after changes to the visual properties in the control.
TCustomGrid.Invalidate |  | Performs a request to redraw the control.